var tabla;
//declaramos variables necesarias para trabajar con las Ventas y sus detalles
var impuesto			=16;
var cont				=0;
var detalles			=0;
var indicepermisoborrar	=-50;
var valido				=false;

$("#btnGuardar").hide();
//funcion que se ejecutan cuando todo fue cargado

//funcion que se ejecuta al inicio
function init(){
	mostrarform(false);
  listar();
//	buscarempresa();
	//buscarNroMovimiento();
	cargarselect();
	
	$("#btnGuardar").on("click",function(e){
		$('#myModalArt').modal('show');
		e.preventDefault();
		var idalmacensalida 	= $("#idalmacensalida").val();
		var idalmacenentrada 	= $("#idalmacenentrada").val();
		console.log(valido);
		if (valido){
			/* if (idalmacensalida==idalmacenentrada){
				bootbox.alert('No puede hacer un moviento de inventario del mismo almacen');
			}else{ */
				bootbox.confirm("¿Esta seguro que quiere guardar los dato?", function(result){
					if (result) {
						modificarValoresAnumerico();
						guardaryeditar();	
					}
				})
			/* } */
		}else{
			bootbox.alert('Debe solucionar los movimientos de inventarios mayores al stock');
		} 
		
		//console.log(idalmacen1,nombre1,idalmacen2,nombre2);
	});


	// capturamos el evento click en agregar articulos
	$("#btnAgregarArt").on("click",function(e){
		//mostrararticuloalmacen();
		//console.log(idalmacen1,nombre1,idalmacen2,nombre2);
		$('#myModalA').modal('show');
	});

	// Se busca el codigo de barra
    $("#cod_barra").keypress(function(e) {
		var keycode = (e.keyCode ? e.keyCode : e.which);
		var codigobarra = $("#cod_barra").val();
		if (keycode == '13') {
			// Evitamos el envío real del enter
			e.preventDefault();
			// Hacemos la llamada al API Buscamos el codigo de barra
			buscarcodigodebarra(codigobarra);
			return false;
		}
	});
	/* Tras cargar el documento posicionamos el cursor en el lector de código de barras */
    document.addEventListener('DOMContentLoaded', function() {
		$("#cod_barra").val("");
		$("#cod_barra").focus();	
	});
	
	//se verifica si la compañia
	$("#idcompaniasalida").change(function(){
		var com = $("#idcompaniasalida").val();
		if (com=='bocatto') {
			$("#idcompaniaentrada").val('chocomilk');
			$('#idcompaniaentrada').selectpicker('refresh');
		//buscamos los almacenes de cada compañia
				$.post("controladores/articuloControlador.php?op=selectAlmacen", function(r){
					$("#idalmacensalida").html(r);
					$("#idalmacensalida").selectpicker('refresh');
				});
		/* 	$("#idcompaniasalida").val('bocatto');
			$('#idcompaniasalida').selectpicker('refresh');	 */
		} else {
			$("#idcompaniaentrada").val('bocatto');
			$('#idcompaniaentrada').selectpicker('refresh');
			buscarAlmacen();
		/* 	$("#idcompaniasalida").val('chocomilk');
			$('#idcompaniasalida').selectpicker('refresh'); */
		}
	
	});


	//se verifica si cambia los campos del formulario
	$("#idalmacensalida").change(function(){
		$("#cod_barra").val("");
		$("#cod_barra").focus();
		buscarAlmacen();
	});

	$("#idalmacenentrada").change(function(){
		$("#cod_barra").val("");
		$("#cod_barra").focus();
	});
	$("#fecha_hora").change(function(){
		$("#cod_barra").val("");
		$("#cod_barra").focus();
	});
   		
	$(document).keypress(function(e) {
		if(e.which == 13) {
			//alert('You pressed enter!');
			modificarSubtotales();
			return;
		}
	 });
}



function cargarselect() {
	//cargamos los items al Select de almacen
	$.post("controladores/movimientoinventariointerControlador.php?op=selectAlmacen", function(r){
		$("#idalmacensalida").html(r);
		$("#idalmacensalida").selectpicker('refresh');
	});
	$.post("controladores/movimientoinventariointer2Controlador.php?op=selectAlmacen", function(r){
		$("#idalmacenentrada").html(r);
		$("#idalmacenentrada").selectpicker('refresh');
		
	});
}

function mostrararticuloalmacen() {
		/* Para obtener el texto de cada almacen
		$("#idalmacensalida option[value=1]").attr("selected",true);
		var idalmacensalida 	= $("#idalmacensalida").val();
		var idalmacenentrada 	= $("#idalmacenentrada").val();
		var select 				= document.getElementById("idalmacensalida") //El <select>
		var idalmacen1 			= select.value //El valor seleccionado
		console.log(idalmacen1);
		var nombre1 	= select.options[select.selectedIndex].innerText; //El texto de la opción seleccionada
		var select 		= document.getElementById("idalmacenentrada") //El <select>
        var idalmacen2 	= select.value //El valor seleccionado
		var nombre2 	= select.options[select.selectedIndex].innerText; //El texto de la opción seleccionada
		*/
	$('#myModalArt').modal('show');
	var id 				= $("#idalmacensalida option:selected").val();
	var texto 			= $("#idalmacensalida option:selected").text(); 
	console.log(id,texto)
	if (texto=='ALMACEN2'){
		$('#myModalB').modal('hide');
		$('#myModalA').modal('show');
	}else{
		$('#myModalA').modal('hide');
		$('#myModalB').modal('show');
	}	 
}


function buscarAlmacen() {  
// Haces referencia al elemento para no recorrer el DOM varias veces
/* Para obtener el texto de cada almacen
var idalmacen2 		= select2.value //El valor seleccionado
var nombre2 		= select2.options[select2.selectedIndex].innerText; //El texto de la opción seleccionada
var idalmacen1 		= select1.value //El valor seleccionado
*/
	var select1 		= document.getElementById("idalmacensalida") //El <select>
	var nombre1 		= select1.options[select1.selectedIndex].innerText; //El texto de la opción seleccionada
	var select2 		= document.getElementById("idalmacenentrada") //El <select>
	var idalmacen		= $("#idalmacensalida").val();

//console.log("idalmacen: "+idalmacen+" nombre: ",nombre1);
	listarArticulos(idalmacen)
}

//funcion limpiar
function limpiar(){
	$("#idmovimientoinventarioo").val("");
	$("#validar").val("");
	$("#idalmacensalida").val("0");
	$('#idalmacensalida').selectpicker('refresh')
	$("#idalmacenentrada").val("0");
	$('#idalmacenentrada').selectpicker('refresh')
	$("#idcompaniasalida").val("");
	//$('#idcompaniasalida').selectpicker('refresh');	
	$("#idcompaniaentrada").val("");
//	$('#idcompaniaentrada').selectpicker('refresh');
	//$("#nromovimientoinventario").val("");
	$("#fecha_hora").val("");
	$("#total_venta").val(0);
	$("#total_venta1").val(0);
	$(".filas").remove();
	$("#total").html("0");

	//obtenemos la fecha actual
	var now 	= 	new Date();
    var today   = 	new Date();
	var dd 		=	("0"+now.getDate()).slice(-2);
    var mm		=	("0"+(now.getMonth()+1)).slice(-2);
    var yyyy    =   now.getFullYear();
	var today	=	yyyy+'-'+mm+'-'+dd;
	$(fecha_hora).val(today);
	
}

//funcion mostrar formulario
function mostrarform(flag,act){
	limpiar();
	if(flag){
		$("#listadoregistros").hide();
		$("#formularioregistros").show();
		$("#formularioregistros1").show();
		//listarArticulosa();
   	//listarArticulosb();
		 buscarempresa();
		
		 if (act==1) {
			buscarNroMovimiento();
		//	buscarNroFacturaControl();
			
		 }
	/*	buscarNroMovimiento();
		cargarselect(); */
		
		//$("#btnGuardar").prop("disabled",false);
		$("#btnagregar").hide();
		$("#btnGuardar").hide();
		$("#btnCancelar").show();
		detalles=0;
		$("#btnAgregarArt").show();
		$("#cod_barra").val("");
		$("#cod_barra").focus();

	}else{
		$("#listadoregistros").show();
		$("#formularioregistros").hide();
		$("#formularioregistros1").hide();
		$("#btnagregar").show();
	}
}

// se busca el ultimo moviento de inventario
function buscarempresa(){
	 $.post("controladores/movimientoinventariointerControlador.php?op=buscarempresa",
		function(data,status)
		{
			data=JSON.parse(data);
			$("#companiasalida").val(data.nombre);
			$("#idcompaniasalida").val(data.idempresa);
		//	$("#idempresa_venta").val(data.idempresa);
			buscarTasaDeCambio();
			console.log('data.nombre: '+data.nombre);
			
	}); 
	$.post("controladores/movimientoinventariointer2Controlador.php?op=buscarempresa",
				function(data2,status)
				{
			data2=JSON.parse(data2);
			$("#companiaentrada").val(data2.nombre);
			$("#idcompaniaentrada").val(data2.idempresa);
			buscarclientepordombre();
			
			console.log('data2.nombre: '+data2.nombre);
	});
 	 
}

function buscarTasaDeCambio(){
	idempresa_venta=$("#idcompaniasalida").val();
	//alert ('idempresa_venta: '+idempresa_venta);
	$.post("controladores/empresaControlador.php?op=buscarTasaDeCambio",{idempresa_venta : idempresa_venta},
		function(data,status)
		{
			//alert ('estatus: '+status);
			data1=JSON.parse(data);
			//console.log('tasa de cambiobd: '+data1.tasa_dollar);
			//$("#tasa_dollar").val(number_format(data1.tasa_dollar),2);
			$("#tasa_dollar").val(data1.tasa_dollar);
			//console.log('tasa de cambio:'+$("#tasa_dollar").val());
			//$("#tasa_euro").val(number_format(data1.tasa_euro),2);
			$("#tasa_euro").val(data1.tasa_euro);
	//		alert ('Control: '+data1.nrocontrol+' Factura: '+data1.nrofactura);
		});
}

//cancelar form
function cancelarform(){
	limpiar();
	mostrarform(false);
}

//funcion listar
function listar(){
	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/movimientoinventariointerControlador.php?op=listar',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function listarArticulos(idalmacen1){
	console.log('Estamos en listara y almacen:'+idalmacen1);
	tabla=$('#tblarticulosa').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/ventanControlador.php?op=listarArticulosinter',
			type: "post",
			data: {
				idalmacen1 : idalmacen1
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function listarArticulosa(idalmacen1){
	tabla=$('#tblarticulosa').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/movimientoinventarioControlador.php?op=listarArticulosa',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function listarArticulosb(){
	tabla=$('#tblarticulosb').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'controladores/movimientoinventarioControlador.php?op=listarArticulosb',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

// se busca el ultimo moviento de inventario
function buscarNroMovimiento(){
	$.post("controladores/movimientoinventariointerControlador.php?op=buscarNroMovimiento",
		function(data,status)
		{
			data=JSON.parse(data);
			if ((data == null)||(data == "undefined")) {
				nromovimientos=1;	
			}else{
				nromovimientos	=	numero(data.ultimomovimiento) + 1;
			}
			$("#nromovimientoinventario").val(nromovimientos);
			console.log(nromovimientos);
			buscarNroFacturaControl();
	});
}

function buscarNroFacturaControl(){
	console.log('$("#idempresa_venta").val(): '+$("#idempresa_venta").val())
	idempresa_venta				=$("#idempresa_venta").val();
	var serie_comprobante = document.getElementById("serie_comprobante1");
	var num_comprobante 	= document.getElementById("num_comprobante1");
	//alert ('idempresa_venta: '+idempresa_venta);
	$.post("controladores/empresaControlador.php?op=buscarNroFacturaControl",{idempresa_venta : idempresa_venta},
		function(data,status)
		{
			//alert ('estatus: '+status);
			data1=JSON.parse(data);
			$("#serie_comprobante1").val(data1.nrocontrolnotaentrega);
			serie_comprobante.style.backgroundColor = "#D5D5CE";
			$("#num_comprobante1").val(data1.nronotaentrega);
			num_comprobante.style.backgroundColor = "#D5D5CE";
			$("#nromovimientoinventario").val($("#companiaentrada").val().substring(0,2)+$("#nromovimientoinventario").val()+'-'+$("#num_comprobante1").val());
	//		alert ('Control: '+data1.nrocontrol+' Factura: '+data1.nrofactura);
		});
}

// funcion para buscar el cliente
function buscarclientepordombre() {
	var nombre = $("#companiaentrada").val();
	console.log('$("#companiaentrada").val() : '+$("#companiaentrada").val());
	//alert ('tipo y numero: '+ tipo_documento11+ ' '+num_documento11);
	$.ajax({
		url: 'controladores/personaControlador.php?op=buscarclientepordombre',
		method: 'post',
		data: {
			nombre : nombre
		},
		})
		.done(function(datos) {
		/* Depuramos los datos recibidos */
		//console.log( datos );
		datos=JSON.parse(datos);
		console.log( datos );
		/* Se verifica si se delvovio algun resultado */
		if ((datos == null)||(datos == "undefined")) {
			/* hacer algo */
			bootbox.confirm("El cliente no existe necesita crearlo", function(result){
				if (result) {
					$("#tipo_documento1").val(tipo_documento11);
					$("#tipo_documento1").selectpicker('refresh');
					tipo_documento1.style.backgroundColor 	= "#D5D5CE";
					$("#num_documento1").val(num_documento11);
					num_documento1.style.backgroundColor 	= "#D5D5CE";
					$('#myModalCliente').modal('show');
				}
			})
			return;
		}
			/* Colocamos los datos del cliente */
			//$("#nombre_cliente").val(datos.nombre);
					
			//nombre_cliente.style.backgroundColor 	= "#D5D5CE";
			//$('#formulario').bootstrapValidator('false');
			//alert ('nombre y id: '+ datos.nombre+ '--'+datos.idpersona);
			var num_documento1 		= document.getElementById("num_documento1");
			$("#num_documento1").val(datos.num_documento);
			$("#num_documento1").attr("readonly", true); 
			num_documento1.style.backgroundColor = "#D5D5CE";
			$("#tipo_documento").val(datos.tipo_documento);
			$("#idvendedor").val(datos.idvendedor);
			$("#idcliente").val(datos.idpersona);
			$("#iddiacredito").val(datos.iddiasdecredito);
			$("#diacredito").val(datos.diacredito);
			$("#zona").val(datos.zona);
			$("#idclientedespacho").val(datos.idclientedespacho);
			$("#licencia_licor").val(datos.licencia_licor);
			$("#licencia_licor").attr("readonly", true); 
			licencia_licor.style.backgroundColor = "#D5D5CE";

			
			
			console.log('$("#idvendedor").val(): '+$("#idvendedor").val()+' $("#idclientedespacho").val(): '+$("#idclientedespacho").val());

			$("#listaprecio").val(datos.idlistaprecio);
			//verificarlistaprecio(datos.idlistaprecio);
		})
		.fail(function() {
			alert( "Error" );
		})
		.always(function() {
		/* Seleccionamos el texto para que se pueda sobreescribir por la siguiente lectura */
		$("input[name='cod_barra']").select();
		});

}

function guardar(evaluar) {
	alert('dio click');
}

//funcion para guardaryeditar
function guardaryeditar(){
     //e.preventDefault();//no se activara la accion predeterminada 
     //$("#btnGuardar").prop("disabled",true);
     var formData=new FormData($("#formulario")[0]);

     $.ajax({
     	url: "controladores/movimientoinventariointerControlador.php?op=guardaryeditar",
     	type: "POST",
     	data: formData,
     	contentType: false,
     	processData: false,

     	success: function(datos){
     	//	bootbox.alert(datos);
     	//	mostrarform(false);
     	//	listar();
			  guardaryeditar2();
     	}
     });

     //limpiar();
}

function guardaryeditar2(){
	//e.preventDefault();//no se activara la accion predeterminada 
	//$("#btnGuardar").prop("disabled",true);
	var formData=new FormData($("#formulario")[0]);

	$.ajax({
		url: "controladores/movimientoinventariointer2Controlador.php?op=guardaryeditar2",
		type: "POST",
		data: formData,
		contentType: false,
		processData: false,

		success: function(datos){
			bootbox.alert(datos);
			mostrarform(false);
			listar();
		}
	});

	limpiar();
}

function mostrar(idmovimientoinventario){
	$.post("controladores/movimientoinventariointerControlador.php?op=mostrar",{idmovimientoinventario : idmovimientoinventario},
		function(data,status)
		{
			data=JSON.parse(data);
			mostrarform(true);

			$("#idmovimientoinventario").val(data.idmovimientoinventario);
			$("#idalmacensalida").val(data.idalmacen_salida);
			$("#idalmacensalida").selectpicker('refresh');
			$("#idalmacenentrada").val(data.idalmacen_entrada);
			$("#idalmacenentrada").selectpicker('refresh');
			$("#nromovimientoinventario").val(data.idmovimientoinventario);
			$("#fecha_hora").val(data.fecha);
			console.log('data.idalmacen_salida: '+data.idalmacen_salida+' data.idalmacen_entrada: '+data.idalmacen_entrada)
						
			//ocultar y mostrar los botones
			$("#btnGuardar").hide();
			$("#btnCancelar").show();
			$("#btnAgregarArt").hide();
			$("#btnAgregarSer").hide();
			$("#btnTotalizar").hide();
			$("#btnAgregarBar").hide();
			
		});
	$.post("controladores/movimientoinventariointerControlador.php?op=listarDetalle&id="+idmovimientoinventario,function(r){
		$("#detalles").html(r);
	});

}

function mostrar2(idmovimientoinventario){
	$.post("controladores/movimientoinventariointerControlador.php?op=mostrar2",{idmovimientoinventario : idmovimientoinventario},
		function(data,status)
		{
			data=JSON.parse(data);
			mostrarform(true);

			$("#idmovimientoinventario").val(data.idmovimientoinventario);
			$("#idalmacensalida").val(data.idalmacen_salida);
			$("#idalmacensalida").selectpicker('refresh');
			$("#idalmacenentrada").val(data.idalmacen_entrada);
			$("#idalmacenentrada").selectpicker('refresh');
			$("#nromovimientoinventario").val(data.idmovimientoinventario);
			$("#fecha_hora").val(data.fecha);
			console.log('data.idalmacen_salida: '+data.idalmacen_salida+' data.idalmacen_entrada: '+data.idalmacen_entrada)
						
			//ocultar y mostrar los botones
			$("#btnGuardar").hide();
			$("#btnCancelar").show();
			$("#btnAgregarArt").hide();
			$("#btnAgregarSer").hide();
			$("#btnTotalizar").hide();
			$("#btnAgregarBar").hide();
			
		});
	$.post("controladores/movimientoinventariointerControlador.php?op=listarDetalle2&id="+idmovimientoinventario,function(r){
		$("#detalles").html(r);
	});

}





//funcion para desactivar
function anular(idmovimientoinventario){
	bootbox.confirm("¿Esta seguro de desactivar este dato?", function(result){
		if (result) {
			$.post("controladores/movimientoinventarioControlador.php?op=anular", {idmovimientoinventario : idmovimientoinventario}, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}


function buscarcodigodebarra(codbarra){
	//alert ('buscando codigo de barra: '+codbarra);
	$.ajax({
		url: 'complemento/leercodigobarra.php',
		method: 'post',
		data: {
			codigobarra: codbarra,
		},
		})
		.done(function(datos) {
		/* Depuramos los datos recibidos */
		console.log( datos );
		/* Si no se devolvió ningún registro (false) debería hacerse algo */
		if (datos === false) {
			/* hacer algo */
			//bootbox.alert('No se encontró el código de barras');
			//Ahora buscamos en la tarjeta de cliente
			//buscarcodigodebarratarjetapendiente(codbarra)
			$("#cod_barra").val("");
			$("#cod_barra").focus(); 
			return;
		}
		/* Agregamos una fila con los datos obtenidos */
		   agregarDetalle(datos.idarticulo,datos.nombre,datos.precio,datos.porcentaje,datos.numerolote,datos.fecha);
			$("#cod_barra").val("");
			$("#cod_barra").focus();
		})
		.fail(function() {
			alert( "Error" );
		})
		.always(function() {
		/* Seleccionamos el texto para que se pueda sobreescribir por la siguiente lectura */
		$("input[name='cod_barra']").select();
		});
}


function agregarDetalle(idarticulo,idalmacen,articulo,precio_venta,preciod,porcentaje,numerolote,fecha,exento,impuestoart18,impuestoart18d,preciopvp,preciopvpd,stock){
	var cantidad						=	1;
	var factordeconversion 	= 1;
	var idarticulo2					= 0;
	var tasa_dollar					= $("#tasa_dollar").val();
	var precio_venta				= preciod*tasa_dollar;
	var totalb							= precio_venta * cantidad;
	var totald							= preciod * cantidad;
	console.log('preciod :'+preciod+' precio_venta:'+precio_venta)
	//Para Bocatto
	if (idarticulo==1) {
		idarticulo2 = 20;
	}
	if (idarticulo==2) {
		idarticulo2 = 19;
	}
	if (idarticulo==3) {
		idarticulo2 = 18;
	}
	if (idarticulo==4) {
		idarticulo2 = 17;
	}
	if (idarticulo==5) {
		idarticulo2 = 16;
	}
	if (idarticulo==6) {
		idarticulo2 = 15;
	}
	if (idarticulo==7) {
		idarticulo2 = 14;
	}
	if (idarticulo==8) {
		idarticulo2 = 13;
	}
	if (idarticulo==9) {
		idarticulo2 = 12;
	}
	if (idarticulo==10) {
		idarticulo2 = 25;
	}
	if (idarticulo==11) {
		idarticulo2 = 24;
	}
	if (idarticulo==12) {
		idarticulo2 = 26;
	}
	if (idarticulo==13) {
		idarticulo2 = 51;
	}
	if (idarticulo==14) {
		idarticulo2 = 27;
	}
	if (idarticulo==15) {
		idarticulo2 = 50;
	}

	if (idarticulo==26) {
		idarticulo2 =49;
	}

	//Para Chocomilk
	/* if (idarticulo==3) {
		idarticulo2 = 23;
	}
	if (idarticulo==7) {
		idarticulo2 = 19;
	}
	if (idarticulo==8) {
		idarticulo2 = 21;
	}
	if (idarticulo==9) {
		idarticulo2 = 22;
	}
	if (idarticulo==10) {
		idarticulo2 = 24;
	}
	if (idarticulo==11) {
		idarticulo2 = 25;
 */
	
	
	if (idarticulo!="") {
		var fila='<tr class="filas" id="fila'+cont+'">'+
								'<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button></td>'+
								'<td style="width:400px"><input type="hidden" name="idarticulo[]" value="'+idarticulo+'">'+articulo+'</td>'+
								'<td style="width:120px"><input type="text" name="stock1[]" id="stock1[]" style="text-align:center;width:120px;background-color: #abb7d8;border: 0" value="'+number_format(stock)+'" readonly></td>'+
								'<td style="width:120px"><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:120px"  value="'+number_format(cantidad)+'"></td>'+
								'<td style="width:120px"><input type="text" name="preciod[]" id="preciod[]" style="text-align:right;width:120px"  value="'+number_format(preciod,2)+'"></td>'+
								'<td style="width:120px"><input type="text" name="estado[]" id="estado[]" style="width:120px;text-align:center;border: 0" value="ok" readonly></td>'+
								'<td style="width:100px"><input type="text" name="subtotal[]" id="subtotal[]" style="text-align:right;width:180px;border: 0"  value="'+number_format(cantidad)+'"></td>'+
								'<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>'+
								'<input type="hidden" name="idarticulo1[]" id="idarticulo1[]" value="'+idarticulo2+'">'+
								'<input type="hidden" name="cantidad1[]" id="cantidad1[]" value="'+cantidad+'">'+
								'<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'+idalmacen+'">'+
								'<input type="hidden" name="idalmacen1[]" id="idalmacen1[]" value="'+idalmacen+'">'+
								'<input type="hidden" name="factorc[]" id="factorc[]" value="'+factordeconversion+'">'+
								'<input type="hidden" name="subtotalb[]" id="subtotalb[]" value="'+totalb+'">'+
								'<input type="hidden" name="subtotald[]" id="subtotald[]" value="'+totald+'">'+
								'<input type="hidden" name="preciob[]" id="preciob[]" value="'+precio_venta*1+'">'+
								'<input type="hidden" name="precio_venta[]" id="precio_venta[]" value="'+precio_venta*1+'">'+
								'<input type="hidden" name="descuento[]" id="descuento[]" value="0">'+
								'<input type="hidden" name="nrolote[]" id="nrolote[]" value="'+numerolote+'">'
								'<input type="hidden" name="idpedidosolo[]" id="idpedidosolo[]" value="">'+
								'<input type="hidden" name="impoart18[]" id="impoart18[]" value="'+impuestoart18+'">'+
								'<input type="hidden" name="precio_ventapvp[]" id="precio_ventapvp[]" value="'+preciopvp+'">'+
								
								
								'</td>'+
							'</tr>';
		cont++;
		detalles++;
		$('#detalles').append(fila);
		modificarSubtotales();

	}else{
		alert("error al ingresar el detalle, revisar las datos del articulo ");
	}
}


function modificarValoresAnumerico(){
	var cant	=	document.getElementsByName("cantidad[]");
	var sub		=	document.getElementsByName("subtotal[]");
	var stoc	=	document.getElementsByName("stock1[]");
	for (var i = 0; i < cant.length; i++) {
		var Cmod	=	cant[i];
		var Stmod	=	stoc[i];
		var Smod	=	sub[i];
		Cmod.value	=	numero(Cmod.value);
		Stmod.value	=	numero(Stmod.value);
		Smod.value	=	numero(Smod.value);
	}
}

function modificarSubtotales(){
	var cant			=	document.getElementsByName("cantidad[]");
	var cant1			=	document.getElementsByName("cantidad1[]");
	var sub				=	document.getElementsByName("subtotal[]");
	var stoc			=	document.getElementsByName("stock1[]");
	var subtotalb	=	document.getElementsByName("subtotalb[]");
	var subtotald	=	document.getElementsByName("subtotald[]");
	var preciob		=	document.getElementsByName("preciob[]");
	var preciod		=	document.getElementsByName("preciod[]");
	var tasa_dollar		= $("#tasa_dollar").val();
	for (var i = 0; i < cant.length; i++) {
		var canM		=	cant[i];
		var canM1		=	cant1[i];
		var subM		=	sub[i];
		var subMt		=	sub[i];
		var stoct		=	stoc[i];
		var subtb		=	subtotalb[i];
		var subtd		=	subtotald[i];
		var precb		=	preciob[i];
		var precd		=	preciod[i];
		var stoctM	=	stoct.value;
		console.log(stoctM);
		canM.value	=	numero(canM.value);
		canM1.value	=	numero(canM.value);
		precd.value = numero(precd.value);
		precb.value = precd.value* tasa_dollar;
		subtb.value	= canM.value * precb.value*1;
		subtd.value	= canM.value * precd.value*1;
		stoctM			=	numero(stoctM);
		console.log('preciob: '+precb.value+' preciode: '+	precd.value);
		console.log('stoctM: '+stoctM+' subtb.value: '+subtb.value+' subtd.value: '+subtd.value);
		subM.value	=	canM.value;
		subMt.value = subtd.value;
		precd.value = number_format(precd.value,2)
		subMt.value = number_format(subMt.value,2)

	}
	calcularTotales();
}

function calcularTotales(){
	//var sub = document.getElementsByName("subtotal");
	var sub				=document.getElementsByName("subtotal[]");
	var subtotalb	=document.getElementsByName("subtotalb[]");
	var subtotald	=document.getElementsByName("subtotald[]");
	var sub				=document.getElementsByName("subtotal[]");
	var cant			=document.getElementsByName("cantidad[]");
	var stoc			=document.getElementsByName("stock1[]");
	var estad			=document.getElementsByName("estado[]");
	var preciod		=	document.getElementsByName("preciod[]");
	var total			=0.0;
	var totalf		=0.0;
	var totald		=0.0;
	var totalb		=0.0;
	valido=true;

	for (var i = 0; i < sub.length; i++) {
		var subt		=	sub[i];
		var subtb		=	subtotalb[i];
		var subtd		=	subtotald[i];
		var cantt		= cant[i];
		var stockt	= stoc[i];
		var estadt	= estad[i];
		var precid	= preciod[i];

		console.log(cantt.value,stockt.value,subt.value);
		// verde 36E208
		// rojo E21508
		estadt.style.backgroundColor 		= "#36E208";
		estadt.value 										= 'ok'
		if (cantt.value>numero(stockt.value)){
			estadt.value 									= 'cantidad es mayor que el stock'
			estadt.style.backgroundColor 	= "#E21508";
			valido												=false;
		}
		//total += document.getElementsByName("subtotal")[i].value;
		total 		+= 	numero(subt.value);
		totald 		+= 	subtd.value*1;
		totalb 		+= 	subtb.value*1;
		cantt.value	=	number_format(cantt.value);
		//subt.value	=	number_format(subt.value,2);
		console.log(cantt.value,subt.value);
		console.log(cantt.value,subt.value);
	}
	
	totalf	= number_format(total,2);
	//$("#total").html("Cantidad");
	$("#total_venta1").val(totalf);
	$("#total_venta").val("");
	$("#total_venta").val(total);
	$("#total_salida").val("");
	$("#total_salida").val(total);
	$("#total_entrada").val("");
	$("#total_entrada").val(total);
	$("#cod_barra").val("");
	$("#cod_barra").focus(); 
	$("#totalventab").val(totalb);
	$("#totalventad").val(totald);
	console.log('$("#totalventab").val() :'+$("#totalventab").val()+' $("#totalventad").val(): '+$("#totalventad").val());
	evaluar();
}

function evaluar(){
	$("#cod_barra").val("");
	$("#cod_barra").focus();    
	if (detalles>0) 
	{
		$("#btnGuardar").show();
	}
	else
	{
		$("#btnGuardar").hide();
		cont=0;
	}
}


function eliminarDetalle(indice){
$("#fila"+indice).remove();
calcularTotales();
detalles=detalles-1;

}

init();